MysqlndUhConnection::simpleCommandHandleResponse
MysqlndUhConnection::stmtInit
MysqlndUhConnection
PHP Manual

# MysqlndUhConnection::sslSet

(PECL mysqlnd-uh >= 1.0.0-alpha)

MysqlndUhConnection::sslSet — Used for establishing secure connections using SSL

### Description

public bool MysqlndUhConnection::sslSet ( mysqlnd_connection `$connection` , string `$key` , string `$cert` , string `$ca` , string `$capath` , string `$cipher` )

Used for establishing secure connections using SSL.

### Parameters

`connection`

  Mysqlnd connection handle. Do not modify!

`key`

  The path name to the key file.

`cert`

  The path name to the certificate file.

`ca`

  The path name to the certificate authority file.

`capath`

  The pathname to a directory that contains trusted SSL CA certificates in PEM format.

`cipher`

  A list of allowable ciphers to use for SSL encryption.

### Return Values

Returns `TRUE` on success. Otherwise, returns `FALSE`

### Examples

Example #1 MysqlndUhConnection::sslSet() example

`<?php
class proxy extends MysqlndUhConnection {
public function sslSet($conn, $key, $cert, $ca, $capath, $cipher) {
printf("%s(%s)\n", __METHOD__, var_export(func_get_args(), true));
$ret = parent::sslSet($conn, $key, $cert, $ca, $capath, $cipher);
printf("%s returns %s\n", __METHOD__, var_export($ret, true));
return $ret;
}
}
mysqlnd_uh_set_connection_proxy(new proxy());
$mysqli = new mysqli("localhost", "root", "", "test");
$mysqli->ssl_set("key", "cert", "ca", "capath", "cipher");
?>`

The above example will output:

    proxy::sslSet(array (
      0 => NULL,
      1 => 'key',
      2 => 'cert',
      3 => 'ca',
      4 => 'capath',
      5 => 'cipher',
    ))
    proxy::sslSet returns true

### See Also

- mysqlnd_uh_set_connection_proxy() - Installs a proxy for mysqlnd connections
- mysqli_ssl_set() - Used for establishing secure connections using SSL

MysqlndUhConnection::simpleCommandHandleResponse
MysqlndUhConnection::stmtInit
MysqlndUhConnection
PHP Manual